blockchain.config.name = "main"

database.dir = /var/lib/rsk/database/mainnet

peer.port = 3234

rpc {
    providers = {
        web = {
            cors = "*"
            http = {
                enabled = true
                bind_address = "0.0.0.0"
                hosts = ["localhost", "127.0.0.1", "::1", "rpc-de-31.stakesquid.eu"]
                port = 8545
            }
            ws = {
                enabled = true
                bind_address = "0.0.0.0"
                port = 8546
            }
        }
    }

    modules = {
        eth      { version = "1.0", enabled = "true" }
        net      { version = "1.0", enabled = "true" }
        rpc      { version = "1.0", enabled = "true" }
        web3     { version = "1.0", enabled = "true" }
        evm      { version = "1.0", enabled = "true" }
        sco      { version = "1.0", enabled = "true" }
        txpool   { version = "1.0", enabled = "true" }
        debug    { version = "1.0", enabled = "true" }
        personal { version = "1.0", enabled = "true" }
    }
}
